package cz.moneta.test.dsl.ib.authentication;

import cz.moneta.test.dsl.ib.IbPageFlow;
import cz.moneta.test.dsl.ib.welcome.LoginToBankModalPage;
import cz.moneta.test.dsl.ib.welcome.NonactiveDisponentWelcomePage;
import cz.moneta.test.dsl.ib.welcome.WelcomePage;

public interface WelcomePageTransitions extends IbPageFlow<WelcomePageTransitions> {

    WelcomePage onWelcomePage();

    LoginToBankModalPage onLoginToBankModalPage();

    NonactiveDisponentWelcomePage onNonactiveDisponentWelcomePage();
}
